import javabook.*;

public class CountyMain {

  public static void main(String [] args) {

    County [] state; 
	String name, seat;
	int pop, area;

    state = new County[3];

	MainWindow mw = new MainWindow("County Example");
	InputBox ib = new InputBox(mw);
	OutputBox ob = new OutputBox(mw);

    mw.show();
	ob.show();


    for(int i = 0; i < state.length; i++) {
	   name = ib.getString("Enter County "+i+" name:" );
	   seat = ib.getString("Enter "+name+" seat:" );
	   pop = ib.getInteger("Enter "+name+" pop:");
	   area = ib.getInteger("Enter "+name+" area:");
	   state[i] = new County(name, seat, pop, area);
    }

 
   ob.printLine("This is the information you entered:");
   for(int i = 0; i < state.length; i++) 
     state[i].printInfo(ob);



	// Find biggest County in the array state
    County biggest = state[0];
    int maxpop = biggest.getPop();
    
	for(int i = 1; i < state.length; i++) {
	  int currentPop = state[i].getPop();
	  if ( currentPop > maxpop ) {
	    biggest = state[i];
		maxpop = biggest.getPop();
      }
      else if ( currentPop == maxpop) {
	    if ( state[i].getArea() > biggest.getArea() )
	     biggest = state[i];
		 maxpop = biggest.getPop();
        }
      }

    ob.printLine("Biggest county information: "); 
	biggest.printInfo(ob);

  }
}

